# Class PostTurnStatusHealAbAttr

This attribute will heal 1/8th HP if the ability pokemon has the correct status.

#### Hierarchy (view full)

- PostTurnAbAttr
  - PostTurnStatusHealAbAttr

- Defined in src/data/ability.ts:2475

#####
Index

### Constructors

constructor

### Properties

effects
showAbility

### Methods

addCondition
apply
applyPostTurn
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostTurnStatusHealAbAttr(...effects): PostTurnStatusHealAbAttr

- #### Parameters

  - `Rest` ...effects: StatusEffect []

    The status effect(s) that will qualify healing the ability pokemon

  #### Returns PostTurnStatusHealAbAttr

  Overrides PostTurnAbAttr.constructor

  - Defined in src/data/ability.ts:2481

## Properties

### `Private` effects

effects: StatusEffect []

- Defined in src/data/ability.ts:2476

### showAbility

showAbility: boolean

Inherited from PostTurnAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostTurnAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostTurnAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostTurn

- applyPostTurn(pokemon, passive, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default

    The pokemon with the ability that will receive the healing

  - passive: boolean

    N/A

  - args: any[]

    N/A

  #### Returns boolean | Promise<boolean>

  Returns true if healed from status, false if not

  Overrides PostTurnAbAttr.applyPostTurn

  - Defined in src/data/ability.ts:2493

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostTurnAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostTurnAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137